> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getBalance on Solana

> getBalance returns the lamport balance of an account on Solana, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`getBalance` on **Solana**: Returns the lamport balance of an account.

## Endpoint

```
https://rpc.goldrushdata.com/v1/solana-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `address` | `string` | yes | Base-58 encoded account address. | `"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"` |
| `config` | `object` | no | `{commitment?, minContextSlot?}`. | `{"commitment":"finalized"}` |

## Returns

`object`: `{context, value: u64}`: balance in lamports.

```json theme={null}
{"context":{"slot":372877175},"value":1234567890}
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/solana-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBalance",
    "params": ["9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM", {"commitment":"finalized"}]
  }'
```

```typescript @solana/kit theme={null}
import {
  createDefaultRpcTransport,
  createSolanaRpcFromTransport,
} from "@solana/kit";

const transport = createDefaultRpcTransport({
  url: "https://rpc.goldrushdata.com/v1/solana-mainnet",
  headers: { Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
});
const rpc = createSolanaRpcFromTransport(transport);

const result = await rpc.getBalance("9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM", {"commitment":"finalized"}).send();
console.log(result);
```

```python python theme={null}
import os
import requests

resp = requests.post(
    "https://rpc.goldrushdata.com/v1/solana-mainnet",
    headers={
        "Authorization": f"Bearer {os.environ['GOLDRUSH_API_KEY']}",
        "Content-Type": "application/json",
    },
    json={"jsonrpc": "2.0", "id": 1, "method": "getBalance", "params": ["9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM", {"commitment":"finalized"}]},
)
print(resp.json()["result"])
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Account info methods on Solana

* [`getAccountInfo` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getaccountinfo)
* [`getMultipleAccounts` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getmultipleaccounts)
* [`getProgramAccounts` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getprogramaccounts)
* [`getLargestAccounts` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getlargestaccounts)
* [`getVoteAccounts` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getvoteaccounts)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.